figure; 
for i=1:nx
xx(i)=delx*(i-1);
end
for j=1:ny
   yy(j)=dely*(j-1);
end
xl='Distance East (m)';
yl='Distance North (m)';
if iplot_type == 0
   colmap='jet';
   concol='k';
end
if iplot_type == 1
	colmap='gray';
   concol='w';
end
if iplot_type < 2
   hf0=axes('Position',[0.3 .92 .6 .2]);
	set(hf0,'Visible','off');
	cla
	text(.02,.3,['Spatial plots at ',num2str(wxy),' kHz']);
   hf1=axes('Position',[0.1 .6 .3 .3]);
   cla
	p1=pcolor(xx,yy,delbr),axis('xy');
	colormap(colmap);
	set(p1,'edgecolor','none');
	colorbar;
	if iplot_con == 0
   	hold on;
		contour(xx,yy,delbr,20,concol);
	end
	xlabel(xl,'FontSize',8);
	ylabel(yl,'FontSize',8);
   title('In-Phase');
   hf2=axes('Position',[0.5 .6 .3 .3]);
   cla
	p2=pcolor(xx,yy,delbi),axis('xy');
	colormap(colmap);
	set(p2,'edgecolor','none');
	colorbar;
	if iplot_con == 0
   	hold on;
		contour(xx,yy,delbi,20,concol);
	end
	xlabel(xl,'FontSize',8);
	ylabel(yl,'FontSize',8);
   title('Quadrature');
   else
   EditHandle_vazm = findobj('Tag','vazm');
   svazm=get(EditHandle_vazm,'string');
	vazm=sscanf(svazm,'%f');
	EditHandle_viewel = findobj('Tag','viewel');
	svel=get(EditHandle_viewel,'string');
	vel=sscanf(svel,'%f');
	EditHandle_laz = findobj('Tag','laz');
	slaz=get(EditHandle_laz,'string');
	laz=sscanf(slaz,'%f');
	EditHandle_lelv = findobj('Tag','lelv');
	slelv=get(EditHandle_lelv,'string');
   lelv=sscanf(slelv,'%f');
   colmap='gray';
   hf0=axes('Position',[0.5 .6 .6 .2]);
	set(hf0,'Visible','off');
	cla
	text(.2,.3,['Spatial plots at ',num2str(wxy),' kHz']);
   hf1=axes('Position',[0.15 .6 .3 .3]);
   cla
   h1=surfl(xx,yy,delbr,[laz,lelv]),axis('xy');
   colormap(colmap);
   set(h1,'edgecolor','none');
   view(vazm,vel);
   xlabel(xl,'FontSize',8);
   ylabel(yl,'FontSize',8);
   zlabel('In-Phase','FontSize',8);
   hf2=axes('Position',[0.6 .1 .3 .3]);
   cla
   h2=surfl(xx,yy,delbi,[laz,lelv]),axis('xy');
   colormap(colmap);
   set(h2,'edgecolor','none');
   view(vazm,vel);
   xlabel(xl,'FontSize',8);
   ylabel(yl,'FontSize',8);
   zlabel('Quadrature','FontSize',8);
end
hf3=axes('Position',[0.08 .1 .3 .3]);
cla
semilogx(w,mmr,'r-');
xlabel('frequency (kHz)','FontSize',8);
hold on
semilogx(w,mmi,'b--');
title('Spectrum: solid--in-phase, dashed--quadrature','FontSize',8);
hold off
