EditHandle_xl1 = findobj('Tag','emxl');
xl = get(EditHandle_xl1,'string');
xl=sscanf(xl,'%f');
EditHandle_yl = findobj('Tag','emyl');
yl = get(EditHandle_yl,'string');
yl=sscanf(yl,'%f');
EditHandle_emx0 = findobj('Tag','emx0');
x0 = get(EditHandle_emx0,'string');
x0=sscanf(x0,'%f');
EditHandle_emy0 = findobj('Tag','emy0');
y0 = get(EditHandle_emy0,'string');
y0=sscanf(y0,'%f');
EditHandle_emz0 = findobj('Tag','emz0');
z0 = get(EditHandle_emz0,'string');
z0=sscanf(z0,'%f');
EditHandle_nx = findobj('Tag','emnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f')
EditHandle_ny = findobj('Tag','emny');
ny = get(EditHandle_ny,'string');
ny=sscanf(ny,'%f')
delx=xl/(nx-1);
dely=yl/(ny-1);
EditHandle_a = findobj('Tag','emrad');
a = get(EditHandle_a,'string');
a=sscanf(a,'%f');
EditHandle_sig = findobj('Tag','emsig');
sig = get(EditHandle_sig,'string');
sigma=sscanf(sig,'%f');
EditHandle_mu = findobj('Tag','emmu');
mu = get(EditHandle_mu,'string');
mu=sscanf(mu,'%f');
EditHandle_wmn = findobj('Tag','emwmn');
wmn = get(EditHandle_wmn,'string');
wmn=sscanf(wmn,'%f');
EditHandle_wmx = findobj('Tag','emwmx');
wmx = get(EditHandle_wmx,'string');
wmx=sscanf(wmx,'%f');
EditHandle_wxy = findobj('Tag','emwspace');
wxy = get(EditHandle_wxy,'string');
wxy=sscanf(wxy,'%f');
EditHandle_nw = findobj('Tag','emnw');
nw = get(EditHandle_nw,'string');
nw=sscanf(nw,'%f');
EditHandle_file = findobj('Tag','emfile');
filenm = get(EditHandle_file,'string');

mu0=4*pi*1e-7;
mu=mu0*mu;
delw=(wmx-wmn)/(nw-1);
ff=[];
mmr=[];
mmi=[];
for i=1:nw
ff(i)=wmn+delw*(i-1);
end
ii=sqrt(-1);
for i=1:nw
w=2*pi*ff(i)*1000;
k=sqrt(ii*mu*sigma*w);
ka=real(k*a);
 if ka <= 10
  f1=(mu0*(1+(k^2)*(a^2))+2*mu)*sinh(k*a);
  f2=-(2*mu+mu0)*k*a*cosh(k*a);
  f3=(mu0*(1+(k^2)*(a^2))-mu)*sinh(k*a);
  f4=(mu-mu0)*k*a*cosh(k*a);
  mm=((f1+f2)/(f3+f4));
 end
 if ka > 10
  f1=mu0*(1+(k^2)*(a^2))+2*mu-k*a*(2*mu+mu0);
  f2=mu0*(1+(k^2)*(a^2))-mu+k*a*(mu-mu0);
  mm=f1/f2;
end
mmr(i)=real(mm);
mmi(i)=-real(ii*mm);
%mmi(i)=imag(mm);
end
x=[];
y=[];
for ix=1:nx
   x(ix)=delx*(ix-1);
end
for iy=1:ny
   y(iy)=dely*(iy-1);
end
w=2*pi*wxy*1000;
k=sqrt(ii*mu*sigma*w);
ka=real(k*a);
 if ka <= 10
  f1=(mu0*(1+(k^2)*(a^2))+2*mu)*sinh(k*a);
  f2=-(2*mu+mu0)*k*a*cosh(k*a);
  f3=(mu0*(1+(k^2)*(a^2))-mu)*sinh(k*a);
  f4=(mu-mu0)*k*a*cosh(k*a);
  mm=-2*pi*(a^3)*((f1+f2)/(f3+f4));
 end
 if ka > 10
  f1=mu0*(1+(k^2)*(a^2))+2*mu-k*a*(2*mu+mu0);
  f2=mu0*(1+(k^2)*(a^2))-mu+k*a*(mu-mu0);
  mm=-2*pi*(a^3)*f1/f2; 
end
h=[];
hr=[];
hi=[];
for ix=1:nx
   xmx02=(x(ix)-x0)^2;
   for iy=1:ny
      ymy02=(y(iy)-y0)^2;
      r2=xmx02+ymy02+z0^2;
      r=sqrt(r2);
      h=(4*mm/(r^6));
      hr(iy,ix)=real(h);
      hi(iy,ix)=imag(h);
   end
end
imagt=-4;
fid=fopen(filenm,'w');
fprintf(fid,'%3.f %3.f %3.f %8.3f %8.3f %3.f %8.3f %8.3f %8.3f\n', imagt,nx,ny,delx,dely,nw,wmn,delw,wxy);
for i=1:nx
   for j=1:ny
      fprintf(fid,'%8.3e\n',hr(j,i));
   end
end
for i=1:nx
   for j=1:ny
      fprintf(fid,'%8.3e\n',hi(j,i));
   end
end
for i=1:nw
    fprintf(fid,'%8.3e\n',mmr(i));
end
for i=1:nw
    fprintf(fid,'%8.3e\n',mmi(i));
end
if istartem == 1
      delete(hhh1);
      delete(hhh2);
      delete(hhh3);
 end
istartem=1;
hhh1=axes('Position',[0.07 .6 .15 .15]);
cla
p1=pcolor(x,y,hr),axis('xy');
xlabel('East (m)');
ylabel('North (m)');
colormap(jet)
set(p1,'edgecolor','none');
colorbar
text(30.,45.,['Spatial plots at ',num2str(wxy),' kHz']);
hhh2=axes('Position',[.3 .6 .15 .15]);
cla
p2=pcolor(x,y,hi),axis('xy')
xlabel('East (m)');
colormap(jet)
set(p2,'edgecolor','none');
colorbar
hhh3=axes('Position',[.05 .25 .4 .2]);
cla
semilogx(ff,mmr,'r-');
xlabel('frequency (kHz)');
hold on
semilogx(ff,mmi,'b--');
title('Spectrum: solid--in-phase, dashed--quadrature');
hold off

 
%h1=subplot(341);
%pcolor(x,y,hr);
%colormap(jet);
%xlabel('East (m)');
%ylabel('North (m)');
%title('In-Phase');
%colorbar;
%h2=subplot(342);
%pcolor(x,y,hi),axis('xy');
%colormap(jet);
%xlabel('East (m)');
%title('Quadrature');
%colorbar;
%h3=subplot(345);
%plot(ff,mmr,'-');
%semilogx(ff,mmr,'-');
%xlabel('frequency (kHz)');
%h4=subplot(3,4,6);
%plot(ff,mmi,'--');
%semilogx(ff,mmi,'--');
%xlabel('frequency (kHz)');

 







