if itarg == 0
   gprsim_circ;
end
if itarg == 1
   gprsim_l;
end
if itarg == 2
   gprsim_chan;
end

EditHandle_xl = findobj('Tag','gprxl');
xl = get(EditHandle_xl,'string');
xl=sscanf(xl,'%f');
EditHandle_nx = findobj('Tag','gprnx');
nx = get(EditHandle_nx,'string');
nx=sscanf(nx,'%f');
EditHandle_delt = findobj('Tag','gprdelt');
delt = get(EditHandle_delt,'string');
delt=sscanf(delt,'%f');
EditHandle_nt = findobj('Tag','gprnt');
nt = get(EditHandle_nt,'string');
nt=sscanf(nt,'%f');
delx=xl/(nx-1);
deltt=delt/1000;
w0=500;
if ifreq == 0
   w0=100;
end
if ifreq == 1
   w0= 250;
end
sigma=.0001;
if isoil == 1
   sigma=.01;
end

beta=sigma*w0/100.;
wmin=2*pi*w0/2;
wmax=4*pi*w0;
delw=2*pi*1000/(nt*deltt);
uu=[];
for ix=1:nx
   u=[];
   ut=[];
   for it=1:nt
      u(it)=f(ix,it);
   end
   ut=fftshift(fft(u));
   for it=1:nt
      w=delw*(it-1-(nt/2));
      if abs(w) < wmin
         ut(it)=0;
      end
      if abs(w) > wmax
         ut(it)=0;
      end
   end
   u=[];
   u=ifft(fftshift(ut));
   for it=1:nt
      t=deltt*(it-1);
      uu(ix,it)=real(u(it))*exp(-beta*t);
   end
end
EditHandle_gprfile = findobj('Tag','gprfile');
filenm = get(EditHandle_gprfile,'string');
imag=-5;
fid=fopen(filenm,'w');
fprintf(fid,'%3.f %4.f %4.f %8.3f %8.3f\n', imag,nx,nt,delx,deltt);
for ix=1:nx
 for it=1:nt
    uij=uu(ix,it);
    uuplot(it,ix)=uij;
 fprintf(fid,'%8.3e\n', uij);
 end
end

      
x=[];
for ix=1:nx
   x(ix)=delx*(ix-1);
end
t=[];
for it=1:nt
   t(it)=deltt*(it-1);
end
p1=pcolor(x,t,uuplot),axis('ij');
colormap(gray);
set(p1,'edgecolor','none');
xlabel('horizontal distance (m)');
ylabel('time (nanosec)');