if istart_hf0 == 1
   delete(hf0)
end
if istart_hf1 == 1
   delete(hf1)
end
if istart_hf2 == 1
   delete(hf2)
end
istart_hf0=0;
istart_hf1=0;
istart_hf2=0;
clear str1 str2
istart_hf0=1;
str1(1)={'{\bfSEISMIC REFLECTION PROCESSING AND DISPLAY}'};
str1(2)={'   '};
str1(3)={'DISPLAY'};
str1(4)={'   '};
str1(5)={'   The DISPLAY function plots a sequence of time series'};
str1(6)={'as "wiggle traces." There is one wiggle trace for each'};
str1(7)={'geophone location. Either a selected shot point can be'};
str1(8)={'displayed or, for multiple shot points, an animation'};
str1(9)={'sequencing through shot points will be displayed.'};
str1(10)={'   '};
str1(11)={'PROCESSING'};
str1(12)={' '};
str1(13)={'   Reflection data can be processes either by {\itshot stacking}'};
str1(14)={'or by {\itx}^{ 2}-{\itt}^{ 2}.'};
str1(15)={'   Shot stacking exploits the fact that, for source locations'};
str1(16)={'that are densely spaced over a line that spans a length'};
str1(17)={'greater than the geophone spread, a receiver-wise sum over'};
str1(18)={'contributions from all sources synthesizes the response to a'};
str1(19)={'plane wave (a cylindrical wave in three dimensions)'};
str1(20)={'propagating straight down. Planar (linear) reflectors will'};
str1(21)={'appear linear when illuminated by a such a wave.'};
str1(22)={'   Processing by {\itx}^{ 2}-{\itt}^{ 2} is a multi-step procedure.'};
str1(23)={'In the first step, the mouse is used to pick two first breaks'};
str1(24)={'along the direct arrival. The slope of the line segment'};
str1(25)={'between these two points defines the wave speed in the'};
str1(26)={'upper layer. In the next step, the mouse is used to pick a'};
str1(27)={'number of first breaks that define the hyperbola of the'};
str1(28)={'reflected wave. The relationship between the travel time {\itt}^{ 2}'};
str1(29)={'the distance between the source and receiver {\itx}^{ 2} is'};
str1(30)={'   '};
str1(31)={'{\itt}^{ 2} = [(2{\itH})^{ 2} + {\itx}^{ 2} - 4{\itH x} sin(\beta)]/{\itc}_1^2,'};
hf0=axes('Position',[0.2 .5 .6 .2]);
set(hf0,'Visible','off');
cla
text(.02,0,str1,'FontSize',8);
istart_hf1=1;
hf1=axes('Position',[0.65 .6 .3 .3]);
ax=[7 2];
at=[4 14];
filenm='rflctfig.inf';
fid=fopen(filenm);
parm=[];
parm=fscanf(fid,'%g',8);
yijshotl=[];
imag_get(1)=1;
nr=parm(4);
nt=parm(5);
xoffl=parm(6);
delx=parm(7);
delt=parm(8);
yijshotl=fscanf(fid,'%g');
fclose(fid);
for i=1:nt
   tt(i)=delt*(i-1);
end
hold on
for j = 1:nr
   yj=[];
 	for i = 1:nt
       ij=nt*(j-1)+i;
       yj(i)=yijshotl(ij)+j;
  	end  
 	fill(tt,yj,'k')
 	plot(tt,yj,'k')
end
plot(at,ax,'r')
at=[];
ax=[];
for i=1:nr
   ax(i)=i;
end
for i=1:nr
   xmx02=(delx*(i-1)-xoffl)^2;
   at(i)=sqrt(400+xmx02)-3;
end
plot(at,ax,'r');
hold off;
xlabel('Time (millisec)');
ylabel('Geophone no.');
istart_hf2=1;
str2(1)={'where {\itc}_1 is the wave speed in the upper layer, \beta is'};
str2(2)={'the angle defining the dip of the interface and, for {\ith}_1 being'};
str2(3)={'the depth to the interface at the first geophone and {\itx_s}'};
str2(4)={'being the distance between the shot point and first geophone,'};
str2(5)={'  '};
str2(6)={'{\itH} = {\ith}_1cos(\beta)-{\itx_s}sin(\beta).'};
str2(7)={'  '};
str2(8)={'The direct arrival line segment and the reflected hyperbola are'};
str2(9)={'shown as red lines on the figure above.'};
str2(10)={'   The processing is implemented by defining {\itY} = {\itc}_1{\itt}^{ 2}-{\itx}^{ 2}'};
str2(11)={'so that the equation above has the form {\itY}={\itAx}+ {\itB} and a least'};
str2(12)={'squares fit on the points picked on the hyperbola is performed'};
str2(13)={'to compute {\itA} and {\itB}. From {\itA} and {\itB}, the depth to the interface'};
str2(14)={'at the first geophone location, {\ith}_1, and the dip, tan(\beta), can'};
str2(15)={'be determined.'};
hf2=axes('Position',[0.6 .3 .25 .25]);
set(hf2,'Visible','off');
cla
text(.02,0,str2,'FontSize',8);
clear ax at tt yj yijshotl

