if istart_hf0 == 1
   delete(hf0)
end
if istart_hf1 == 1
   delete(hf1)
end
if istart_hf2 == 1
   delete(hf2)
end
istart_hf0=0;
istart_hf1=0;
istart_hf2=0;
clear str1 str2
istart_hf0=1;
str1(1)={'{\bfSEISMIC REFRACTION PROCESSING AND DISPLAY}'};
str1(2)={'   '};
str1(3)={'DISPLAY'};
str1(4)={'   '};
str1(5)={'   The DISPLAY function plots a sequence of time series'};
str1(6)={'as "wiggle traces." There is one wiggle trace for each'};
str1(7)={'geophone location.'};
str1(8)={'   '};
str1(9)={'PROCESSING'};
str1(10)={' '};
str1(11)={'   Processing of refraction data is accomplished by using'};
str1(12)={'the mouse to establish a sequence of line segments'}; 
str1(13)={'defining the first breaks on each trace. Only layers that'}; 
str1(14)={'have a wave speed greater than the layer above will be'}; 
str1(15)={'evident in the data. Here, these are referred to as "visible"'};
str1(16)={'layers. Each visible layer will exhibit a sequence of first'};
str1(17)={'breaks that appear on a line segment of constant slope.'};
str1(18)={'The slope of such a line segment, defined as change in'};
str1(19)={'distance divided by change in time, will be the wave speed'};
str1(20)={'of that layer, {\itc_i} for layer {\iti}.'};
str1(21)={'   The point where two line segments intersect (a change'};
str1(22)={'in slope) is referred to as a point intersect ({\itx_i},{\itt_i}) where the'};
str1(23)={'line segments from layers {\iti} and {{\iti}+1} intersect and the'};
str1(24)={'distance {\itx_i} is measured from the source location. For a'};
str1(25)={'single horizontal interface, the depth ({\ith}_1) to the interface'};
str1(26)={'is computed using'};
str1(27)={''};
str1(28)={'{\ith}_1={\itc}_2{\itc}_1({\itt}_1-({\itx}_1/{\itc}_2))/[{\itc}_2^2-{\itc}_1^2]^{1/2}.'};
str1(29)={'For multiple horizontal interfaces, the depth formula is'};
str1(30)={'is somewhat more complex.'};
hf0=axes('Position',[0.2 .5 .6 .2]);
set(hf0,'Visible','off');
cla
text(.02,0,str1,'FontSize',8);
istart_hf1=1;
hf1=axes('Position',[0.65 .6 .3 .3]);
ax=[3.27 7.86 22.04];
at=[10.13 26.23 44.50];
filenm='rfrctfig.inf';
fid=fopen(filenm);
parm=[];
parm=fscanf(fid,'%g',6);
yijshotl=[];
imag_get(1)=1;
nr=parm(2);
nt=parm(3);
xoffl=parm(4);
delx=parm(5);
delt=parm(6);
yijshotl=fscanf(fid,'%g');
fclose(fid);
for i=1:nt
   tt(i)=delt*(i-1);
end
hold on
for j = 1:nr
   yj=[];
 	for i = 1:nt
       ij=nt*(j-1)+i;
       yj(i)=yijshotl(ij)+j;
  	end  
 	fill(tt,yj,'k')
 	plot(tt,yj,'k')
end
plot(at,ax,'r')
plot(at(2),ax(2),'ro')
hold off;
xlabel('Time (millisec)');
ylabel('Geophone no.');
istart_hf2=1;
str2(1)={'   Except for the first and last layer, every line segment'};
str2(2)={'should start and end at a point of intersection. For the'};
str2(3)={'first (shallowest) layer, the line segment must end at an'};
str2(4)={'intersection and, for the deepest layer, the line segment'};
str2(5)={'need only begin at an intersection. The figure above'};
str2(6)={'illustrates acceptable line segment as red lines and the'};
str2(7)={'red circle denotes the point of intersection of these two'};
str2(8)={'line segments.'};
str2(9)={'   Only a single dipping interface can be simulated and'};
str2(10)={'processed here. This requires two simulated data files:'};
str2(11)={'one for a source location to the left of the geophone array'};
str2(12)={'and one for a source location to the right of the geophone'};
str2(13)={'array. The processing of these two data sets exploits the'};
str2(14)={'fact that the critically refracted ray travels along the'};
str2(15)={'same path in either direction.'};
hf2=axes('Position',[0.6 .3 .25 .25]);
set(hf2,'Visible','off');
cla
text(.02,0,str2,'FontSize',8);
clear ax at tt yj yijshotl

